precision highp float;
precision highp int;

varying vec4 v_color;

uniform sampler2D ktglSampler0;
uniform vec4 u_color_adjust;
varying vec2 v_texcoord;

void main()
{	
	vec4 texture_color = texture2D( ktglSampler0, v_texcoord );
	gl_FragColor = texture_color * v_color + u_color_adjust;
}
