precision highp float;
precision highp int;

attribute vec4 ktglPosition0;
attribute vec4 ktglColor0;
attribute vec2 ktglTexcoord0;

varying vec4 v_color;
varying vec2 v_texcoord;

uniform mat4 u_world_projection;

void main()
{
	highp vec4 vPos = u_world_projection * ktglPosition0;
	gl_Position = vPos;

	v_color = ktglColor0;
	v_texcoord = ktglTexcoord0;
}

